## parmap 1.0~rc8

=== example/Makefile ===
OCAMLBUILD=ocamlbuild
OBFLAGS := -j 10 -use-ocamlfind
OCAMLBEST=native

TARGETS = \
  mandels.$(OCAMLBEST)

all:
	$(OCAMLBUILD) $(OBFLAGS) $(TARGETS)

mandels_sdl.native: mandels_sdl.ml
	ocamlfind ocamlopt -linkpkg -package bigarray -package graphics -package parmap -package unix -package sdl mandels_sdl.ml -o mandels_sdl.native

.PHONY: clean
clean:
	$(OCAMLBUILD) -clean

## parmap 1.0~rc4

=== debian/changelog ===
parmap (1.0~rc4-4) unstable; urgency=medium

  * Do not build ALIBS (parmap.a) on bytecode architectures.
    - add 0002-ALIBS-should-be-built-only-on-native-archs.patch
    - del 0002-Set-OCAMLBEST-to-native-when-ocamlopt-is-present.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 09 Oct 2014 15:52:16 +0200

parmap (1.0~rc4-2) unstable; urgency=medium

  * Fix FTBFS on bytecode architectures.
    - Add patch 0002-Set-OCAMLBEST-to-native-when-ocamlopt-is-present.patch
      to be able to override OCAMLBEST from d/rules.
    - Set OCAMLBEST from /u/s/o/ocamlvars.mk in d/rules so that mips*, ppc64el
      and s390x are not considered as native architectures.

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 09 Oct 2014 10:05:08 +0200

parmap (1.0~rc4-1) unstable; urgency=medium

  * Initial release (Closes: #761132).

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 10 Sept 2014 22:52:00 +0200

=== debian/control ===
Source: parmap
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 ocaml-nox (>= 3.12.0~),
 dh-ocaml (>= 0.9~),
 ocaml-findlib,
 autoconf
Standards-Version: 3.9.5
Homepage: https://rdicosmo.github.io/parmap/
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/parmap.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/parmap.git

Package: libparmap-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides: ${ocaml:Provides}
Description: small OCaml library allowing to exploit multicore architectures
 Parmap is a minimalistic library allowing to exploit multicore
 architectures for OCaml programs with minimal modifications.
 .
 This package provides the runtime library.

Package: libparmap-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides: ${ocaml:Provides}
Description: small OCaml library allowing to exploit multicore architectures
 Parmap is a minimalistic library allowing to exploit multicore
 architectures for OCaml programs with minimal modifications.
 .
 This package provides the development files needed to build OCaml programs
 linking to this library.

=== debian/watch ===
version=3
https://github.com/rdicosmo/parmap/releases /rdicosmo/parmap/archive/([-0-9rcbeta.]+)\.tar\.gz

## parmap 1.0~rc7

=== debian/changelog ===
parmap (1.0~rc7-1) unstable; urgency=medium

  * New upstream release
    - Refresh 0001-Update-version-number-in-various-places.patch
    - Remove 0002-ALIBS-should-be-built-only-on-native-archs.patch,
      fixed upstream.

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 18 Jan 2016 00:49:10 +0100

parmap (1.0~rc4-5) unstable; urgency=medium

  * Team upload
  * Install libparmap_stubs.a on bytecode architectures
    (Closes: #785304)
  * Update Vcs-*
  * Fix debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Thu, 14 May 2015 16:24:16 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  autoconf
 Standards-Version: 3.9.5
 Homepage: https://rdicosmo.github.io/parmap/
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/parmap.git
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/parmap.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/parmap.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/parmap.git
 
 Package: libparmap-ocaml
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

PARMAP_DIR=$(CURDIR)/debian/tmp

override_dh_auto_install:
	$(MAKE) DESTDIR=$(PARMAP_DIR)/usr install

%:
	dh --with ocaml $@

## parmap 1.0~rc8

=== debian/changelog ===
parmap (1.0~rc8-1build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 22:06:46 +0200

parmap (1.0~rc8-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Vcs-*
  * Bump debhelper compat to 9

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jul 2017 12:41:52 +0200

parmap (1.0~rc7-2) unstable; urgency=medium

  * Team upload
  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2017 11:48:15 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  ocaml-nox (>= 3.12.0~),
  dh-ocaml (>= 0.9~),
  ocaml-findlib,
+ ocamlbuild,
  autoconf
 Standards-Version: 3.9.5
 Homepage: https://rdicosmo.github.io/parmap/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/parmap.git
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/parmap.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/parmap.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/parmap.git
 
 Package: libparmap-ocaml
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,4 @@
 	$(MAKE) DESTDIR=$(PARMAP_DIR)/usr install
 
 %:
-	dh --with ocaml $@
+	dh $@ --with ocaml

## parmap 1.0~rc9

=== debian/changelog ===
parmap (1.0~rc9-2) unstable; urgency=medium

  * Install parmap.cmx in libparmap-ocaml-dev

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 13 May 2018 14:20:55 +0200

parmap (1.0~rc9-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.4, no changes required
  * Update Vcs-* fields since Git repository migrated to Salsa

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 11 May 2018 11:55:39 +0200

## parmap 1.0~rc10

=== debian/changelog ===
parmap (1.0~rc10-3) unstable; urgency=medium

  * Team upload
  * Add dependency to mmap in META and opam files

 -- Stéphane Glondu <glondu@debian.org>  Mon, 09 Sep 2019 12:42:36 +0200

parmap (1.0~rc10-2) unstable; urgency=medium

  * Team upload
  * Fix FTBFS with OCaml 4.08.0
  * Switch debian/copyright to Format 1.0
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Sep 2019 07:32:18 +0200

parmap (1.0~rc10-1) unstable; urgency=medium

  * New (bugfix) upstream release
  * Refresh patches

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 02 Dec 2018 15:06:35 +0100

=== debian/control ===
Source: parmap
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 ocaml-nox,
 dh-ocaml (>= 0.9~),
 ocaml-findlib,
 ocamlbuild,
 libmmap-ocaml-dev,
 autoconf
Standards-Version: 4.4.0
Homepage: https://rdicosmo.github.io/parmap/
Vcs-Browser: https://salsa.debian.org/ocaml-team/parmap
Vcs-Git: https://salsa.debian.org/ocaml-team/parmap.git

Package: libparmap-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides: ${ocaml:Provides}
Description: small OCaml library allowing to exploit multicore architectures (runtime)
 Parmap is a minimalistic library allowing to exploit multicore
 architectures for OCaml programs with minimal modifications.
 .
 This package provides the runtime library.

Package: libparmap-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides: ${ocaml:Provides}
Description: small OCaml library allowing to exploit multicore architectures (development)
 Parmap is a minimalistic library allowing to exploit multicore
 architectures for OCaml programs with minimal modifications.
 .
 This package provides the development files needed to build OCaml programs
 linking to this library.

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,18 @@
 
 PARMAP_DIR=$(CURDIR)/debian/tmp
 
+%:
+	dh $@ --with ocaml
+
+override_dh_autoreconf:
+# some OCaml-specific macros are missing
+
+override_dh_auto_configure:
+	./configure --prefix=/usr
+
 override_dh_auto_install:
 	$(MAKE) DESTDIR=$(PARMAP_DIR)/usr install
+	rm -f $(PARMAP_DIR)$(OCAML_STDLIB_DIR)/parmap/myocamlbuild.cmx
 
-%:
-	dh $@ --with ocaml
+override_dh_missing:
+	dh_missing --fail-missing

## parmap 1.1.1

=== debian/changelog ===
parmap (1.1.1-2) unstable; urgency=medium

  * Do not run tests that are too heavy for buildds
  * Reduce size of remaining tests so that they fit on 32 bit machines

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Feb 2020 10:46:18 +0100

parmap (1.1.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.5.0
  * Add Rules-Require-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Feb 2020 14:32:03 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,11 @@
 Build-Depends:
  debhelper-compat (= 12),
  ocaml-nox,
- dh-ocaml (>= 0.9~),
- ocaml-findlib,
- ocamlbuild,
- libmmap-ocaml-dev,
- autoconf
-Standards-Version: 4.4.0
+ ocaml-dune,
+ libdune-ocaml-dev,
+ dh-ocaml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://rdicosmo.github.io/parmap/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/parmap
 Vcs-Git: https://salsa.debian.org/ocaml-team/parmap.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p parmap

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	nData=1000 dune runtest -p parmap -j 1 --verbose
endif

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/parmap/LICENSE

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=3
opts=uversionmangle=s/-?rc/~rc/ \
https://github.com/rdicosmo/parmap/releases /rdicosmo/parmap/archive/([-0-9rcbeta.]+)\.tar\.gz

## parmap 1.2

=== debian/changelog ===
parmap (1.2-1) unstable; urgency=medium

  * New upstream release, which adds support for returning results in
    the right order from the calls

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 17 Jan 2021 12:10:12 +0100

## parmap 1.2.4

=== Makefile ===
PREFIX_ARG := $(if $(PREFIX),--prefix $(PREFIX),)
LIBDIR_ARG := $(if $(LIBDIR),--libdir $(LIBDIR),)
DESTDIR_ARG := $(if $(DESTDIR),--destdir $(DESTDIR),)
INSTALL_ARGS := $(PREFIX_ARG) $(LIBDIR_ARG) $(DESTDIR_ARG)
DUNE_ARGS =
DUNE = dune

default:
	$(DUNE) build @install $(DUNE_ARGS)

install:
	$(DUNE) install $(INSTALL_ARGS) $(DUNE_ARGS)

test:
	$(DUNE) runtest $(DUNE_ARGS)

clean:
	$(DUNE) clean

doc:
	$(DUNE) build @doc $(DUNE_ARGS)

=== debian/changelog ===
parmap (1.2.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 20 Feb 2022 18:00:43 +0100

parmap (1.2.3-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

 -- Stéphane Glondu <glondu@debian.org>  Tue, 30 Nov 2021 07:57:41 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- ocaml-nox,
+ debhelper-compat (= 13),
+ ocaml,
  ocaml-dune,
  libdune-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://rdicosmo.github.io/parmap/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/parmap
@@ -22,6 +22,7 @@
  ${misc:Depends},
  ${ocaml:Depends}
 Provides: ${ocaml:Provides}
+Suggests: ocaml-findlib
 Description: small OCaml library allowing to exploit multicore architectures (runtime)
  Parmap is a minimalistic library allowing to exploit multicore
  architectures for OCaml programs with minimal modifications.

=== debian/rules ===
--- 
+++ 
@@ -12,13 +12,8 @@
 	dune build -p parmap
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	nData=1000 dune runtest -p parmap -j 1 --verbose
-endif
 
 override_dh_auto_install:
 	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
 	rm -f $(DESTDIR)/usr/doc/parmap/LICENSE
-
-override_dh_missing:
-	dh_missing --fail-missing

=== debian/watch ===
version=4
opts=uversionmangle=s/-?rc/~rc/ \
https://github.com/rdicosmo/parmap/releases .*/parmap-v?([-0-9rcbeta.]+)\.tbz

## parmap 1.2.5

=== debian/changelog ===
parmap (1.2.5-3build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 10:18:03 +0100

parmap (1.2.5-3) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 09:30:08 +0200

parmap (1.2.5-2) unstable; urgency=medium

  * Team upload
  * Fix build with recent dune

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 06:51:06 +0200

parmap (1.2.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 22 Jan 2023 10:50:16 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  ocaml,
  ocaml-dune,
  libdune-ocaml-dev,
- dh-ocaml
+ dh-ocaml (>= 1.2)
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://rdicosmo.github.io/parmap/
